#ifndef VECTOR_TREE
#define VECTOR_TREE

#include <stddef.h>

struct vector {
    int *values;
    size_t size;
    size_t nb_elements;
};

struct vector *insert(struct vector *tree, int value);
void delete_node(struct vector *tree, int value);
void pretty_print(struct vector *tree);

#endif /* ! VECTOR_TREE */